> For the complete documentation index, see [llms.txt](https://docs.ox.security/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ox.security/api-documentation/api-reference/api--workflows/mutations/update-workflow.md).

# updateWorkflow

Update an existing workflow policy including pipeline application selection.

### Examples

{% tabs %}
{% tab title="GraphQL" %}

```graphql
mutation UpdateWorkflow($input: UpdateWorkflowPolicyInput!) {
  updateWorkflow(input: $input) {
    id
    isValid
    createdAt
    createdBy
    enabled
    updatedAt
    updatedBy
    name
    description
    actions {
      name
      type
    }
    triggers {
      name
      category
    }
    runs
    lastRunTime
    workflowType
    isDefault
    monitorAllNewlyCreatedRepositories
    wfPipelineSettings {
      apps {
        appName
        appType
        appId
        selected
        disabled
      }
    }
  }
}
```

#### Variables

This is an example input showing all available input fields. Only fields marked as required in the schema are mandatory.

```json
{
  "input": {
    "id": "example",
    "name": "SomeName",
    "description": "example",
    "enabled": true,
    "pipelineSettings": {
      "apps": [
        {
          "appId": "30966426",
          "appName": "some-repo",
          "appType": "example",
          "selected": true,
          "disabled": true
        }
      ]
    },
    "isDefault": true,
    "monitorAllNewlyCreatedRepositories": 13.37,
    "monitorRepositories": "AddAll"
  }
}
```

{% endtab %}

{% tab title="cURL" %}

```shell
curl -X POST \
https://api.cloud.ox.security/api/apollo-gateway \
-H 'Content-Type: application/json' \
-H 'Authorization: YOUR_API_TOKEN' \
-d '{
 "query": "mutation UpdateWorkflow($input: UpdateWorkflowPolicyInput!) { updateWorkflow(input: $input) { id isValid createdAt createdBy enabled updatedAt updatedBy name description actions { name type } triggers { name category } runs lastRunTime workflowType isDefault monitorAllNewlyCreatedRepositories wfPipelineSettings { apps { appName appType appId selected disabled } } } }",
 "variables": {
    "input": {
      "id": "example",
      "name": "SomeName",
      "description": "example",
      "enabled": true,
      "pipelineSettings": {
        "apps": [
          {
            "appId": "30966426",
            "appName": "some-repo",
            "appType": "example",
            "selected": true,
            "disabled": true
          }
        ]
      },
      "isDefault": true,
      "monitorAllNewlyCreatedRepositories": 13.37,
      "monitorRepositories": "AddAll"
    }
  }
}'
```

{% endtab %}

{% tab title="Node.js" %}

```javascript
const query = 'mutation UpdateWorkflow($input: UpdateWorkflowPolicyInput!) { updateWorkflow(input: $input) { id isValid createdAt createdBy enabled updatedAt updatedBy name description actions { name type } triggers { name category } runs lastRunTime workflowType isDefault monitorAllNewlyCreatedRepositories wfPipelineSettings { apps { appName appType appId selected disabled } } } }';

fetch("https://api.cloud.ox.security/api/apollo-gateway", {
  method: "POST",
  headers: {
    "Content-Type": "application/json",
    "Authorization": "YOUR_API_TOKEN"
  },
  body: JSON.stringify({
    query: query,
    // This is an example input showing all available input fields. Only fields marked as required in the schema are mandatory.
    variables: {
      input: {
        id: "example",
        name: "SomeName",
        description: "example",
        enabled: true,
        pipelineSettings: {
          apps: [
            {
              appId: "30966426",
              appName: "some-repo",
              appType: "example",
              selected: true,
              disabled: true
            }
          ]
        },
        isDefault: true,
        monitorAllNewlyCreatedRepositories: 13.37,
        monitorRepositories: "AddAll"
      }
    }
  })
})
.then(response => response.json())
.then(result => console.log(JSON.stringify(result, null, 2)))
.catch(error => console.error('Error:', error));
```

{% endtab %}

{% tab title="Python" %}

```python
import requests

query = 'mutation UpdateWorkflow($input: UpdateWorkflowPolicyInput!) { updateWorkflow(input: $input) { id isValid createdAt createdBy enabled updatedAt updatedBy name description actions { name type } triggers { name category } runs lastRunTime workflowType isDefault monitorAllNewlyCreatedRepositories wfPipelineSettings { apps { appName appType appId selected disabled } } } }'

response = requests.post(
  "https://api.cloud.ox.security/api/apollo-gateway",
  headers={
    "Content-Type": "application/json",
    "Authorization": "YOUR_API_TOKEN"
  },
  json={
    "query": query,
    # This is an example input showing all available input fields. Only fields marked as required in the schema are mandatory.
    "variables": {
      "input": {
        "id": "example",
        "name": "SomeName",
        "description": "example",
        "enabled": true,
        "pipelineSettings": {
          "apps": [
            {
              "appId": "30966426",
              "appName": "some-repo",
              "appType": "example",
              "selected": true,
              "disabled": true
            }
          ]
        },
        "isDefault": true,
        "monitorAllNewlyCreatedRepositories": 13.37,
        "monitorRepositories": "AddAll"
      }
    }
  }
)

if response.status_code == 200:
    result = response.json()
    print(result)
else:
    print(f"Error: {response.status_code}")
    print(response.text)
```

{% endtab %}
{% endtabs %}

### Arguments

You can use the following argument(s) to customize your `updateWorkflow` mutation.

| Argument                                                                                                                                                                                         | Description               | Supported fields                                                                                                                                                                                                                                                                                                                                                                                                            |
| ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ | ------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| input [`UpdateWorkflowPolicyInput!`](/api-documentation/api-reference/api--workflows/types/inputs/update-workflow-policy-input.md) <mark style="color:red;background-color:red;">required</mark> | Workflow fields to update | <p>id <code>String!</code><br>name <code>String</code><br>description <code>String</code><br>enabled <code>Boolean</code><br>pipelineSettings <a href="/pages/GtyOLWzZvihMYQNFlVMm"><code>PipelineSettingsInput</code></a><br>isDefault <code>Boolean</code><br>monitorAllNewlyCreatedRepositories <code>Float</code><br>monitorRepositories <a href="/pages/97CJ08EXF5JyMaEqIwjc"><code>MonitorRepositories</code></a></p> |

### Fields

Return type: [`WorkflowPolicy!`](/api-documentation/api-reference/api--workflows/types/objects/workflow-policy.md)

You can use the following field(s) to specify what information your `updateWorkflow` mutation will return. Please note that some fields may have their own subfields.

| Field                                                                                                                            | Description                                                                                  | Supported fields                                                                           |
| -------------------------------------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------ |
| id `String!`                                                                                                                     | ID of the policy workflow                                                                    |                                                                                            |
| isValid `Boolean`                                                                                                                | defines if workflow is valid or not                                                          |                                                                                            |
| createdAt `Float!`                                                                                                               | Time the workflow was created                                                                |                                                                                            |
| createdBy `String`                                                                                                               | Workflow creator                                                                             |                                                                                            |
| enabled `Boolean`                                                                                                                | Enabled for evaluation                                                                       |                                                                                            |
| updatedAt `Float!`                                                                                                               | Time the workflow was updated                                                                |                                                                                            |
| updatedBy `String`                                                                                                               | Workflow last updated by                                                                     |                                                                                            |
| name `String!`                                                                                                                   | Name of the workflow                                                                         |                                                                                            |
| description `String`                                                                                                             | Description of the workflow                                                                  |                                                                                            |
| actions [`[Action!]!`](/api-documentation/api-reference/api--workflows/types/objects/action.md)                                  |                                                                                              | <p>name <code>String</code><br>type <code>String</code></p>                                |
| triggers [`[Trigger!]!`](/api-documentation/api-reference/api--workflows/types/objects/trigger.md)                               |                                                                                              | <p>name <code>String</code><br>category <code>String</code></p>                            |
| runs `Int`                                                                                                                       | numbers of runs this workflow had                                                            |                                                                                            |
| lastRunTime `Float`                                                                                                              | last time this workflow had run                                                              |                                                                                            |
| workflowType [`WorkflowType!`](/api-documentation/api-reference/api--workflows/types/enums/workflow-type.md)                     | type of the workflow (Regular scan / Pipeline scan)                                          |                                                                                            |
| isDefault `Boolean!`                                                                                                             | If the workflow is a default one                                                             |                                                                                            |
| monitorAllNewlyCreatedRepositories `Float`                                                                                       | If this workflow should trigger for all newly created repos starting from the time it is set |                                                                                            |
| wfPipelineSettings [`WfPipelineSettings`](/api-documentation/api-reference/api--workflows/types/objects/wf-pipeline-settings.md) | settings for pipeline                                                                        | apps [`[WfApp!]`](/api-documentation/api-reference/api--workflows/types/objects/wf-app.md) |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--workflows/mutations/update-workflow.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
